FIX::BoolConvertor Struct Reference

Converts boolean to/from a string. More...

`#include <FieldConvertors.h>`

## Static Public Member Functions

static std::string | convert (bool value)
static bool | convert (const std::string &value, bool &result)
static bool | convert (const std::string &value) throw ( FieldConvertError )

## Detailed Description

Converts boolean to/from a string.

Definition at line 416 of file FieldConvertors.h.

## Member Function Documentation

## convert() [1/3]

static std::string FIX::BoolConvertor::convert | ( | bool | value | ) |

inline static

Definition at line 418 of file FieldConvertors.h.

{

Referenced by FIX::CharConvertor::convert(), FIX::Dictionary::getDouble(), FIX::IntField::getValue(), and FIX::IntField::operator const int().

## convert() [2/3]

static bool FIX::BoolConvertor::convert | ( | const std::string & | value | ) |
throw | ( | FieldConvertError
| ) |  |

inline static

Definition at line 437 of file FieldConvertors.h.

{
char result[ 17+10 ]; // Maximum
int year, month, day, hour, minute, second, fraction;
value.getYMD( year, month, day );
value.getHMS( hour, minute, second, fraction, precision );
integer_to_string_padded( result, 4, year);
integer_to_string_padded( result + 4, 2, month );

References FIX::integer_to_string_padded().

## convert() [3/3]

static bool FIX::BoolConvertor::convert | ( | const std::string & | value,
|  | bool & | result
| ) |  |

inline static

Definition at line 424 of file FieldConvertors.h.

{
static std::string convert( const UtcTimeStamp& value,
int precision = 0 )

The documentation for this struct was generated from the following file:

- FieldConvertors.h

FIX::TYPE::UtcTimeStamp
@ UtcTimeStamp
Definition: FieldTypes.h:940
FIX::integer_to_string_padded
char * integer_to_string_padded(char *buf, const size_t len, signed_int t, const char paddingChar='0')
Definition: FieldConvertors.h:149
FIX::BoolConvertor::convert
static std::string convert(bool value)
Definition: FieldConvertors.h:418